<template>
    <pre>
        {{body}}    
    </pre>
</template>

<script>
const HANGMANPICS = [`
  +---+
  |   |
      |
      |
      |
      |
=========`, `
  +---+
  |   |
  O   |
      |
      |
      |
=========`, `
  +---+
  |   |
  O   |
  |   |
      |
      |
=========`, `
  +---+
  |   |
  O   |
 /|   |
      |
      |
=========`, `
  +---+
  |   |
  O   |
 /|\\  |
      |
      |
=========`, `
  +---+
  |   |
  O   |
 /|\\  |
 /    |
      |
=========`, `
  +---+
  |   |
  O   |
 /|\\  |
 / \\  |
      |
=========`];


export default {
    props: {
        state: {
            default: 0,
            type: Number,
            validator: function(i){
                return i >= 0 && i <= 6
            }
        }
    },
    computed: {
        body() {
            return HANGMANPICS[this.state];
        }
    }
}
</script>

<style>
pre {
    font-family: 'Courier New', Courier, monospace
}

</style>
